<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_d3c72043723006b65949" . "2f087ddf1fdf" => base64_decode("bmV" . "3cw" . "=="), "_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG1" . "zZw" . "=="), "_bf2b3f7714b3538f48e7" . "80c3e7770090" => base64_decode("YXBwX25" . "ld3M="), "_d0c05b93b1b3930a23" . "2616bd5f573345" => base64_decode("bWVudS5hcHAubmV3c" . "w=="));
use Claromentis\News\NewsApplication as NewsNewsApplication;
use Claromentis\Search\ItemType;






class NewsApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d3c72043723006b659492f087" . "ddf1fdf"] => function () {
            return new ItemType\News();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d0c05b93b1b3930" . "a232616bd5f57334" . "5"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bf2b3f7714b353" . "8f48e780c3e7770" . "090"];
    }
    public function GetIcon() : string
    {
        return NewsNewsApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d3c72043723006b6594" . "92f087ddf1fdf"]];
    }
}